# Abridged

Abridged is a configurable and fault-tolerant bridge for Discord, IRC, and Matrix.

## Features

- Bridge between multiple IRC servers and multiple Discord/Matrix bots
- Automatically and independently restart bridge nodes on error
- Feature flags to enable/disable each supported platform

## Configuration

An example configuration is provided in [example-config.toml](example-config.toml). The path to the configuration should be passed as the first command-line argument.

## Building

```sh
cargo build --release
```

The following feature flags are enabled:
- `irc` - enable IRC support
- `discord` - enable Discord support
- `matrix` - enable Matrix support
- `matrix-e2ee` - enable end-to-end encryption support for Matrix
- `tls-rustls` use rustls for TLS
- `tls-native` use the native TLS library (probably OpenSSL) for TLS

`tls-rustls` and `tls-native` are mutually exclusive. By default, all platforms and platform-specific features are enabled and rustls is used for TLS.
