use std::sync::Arc;

use matrix_sdk::ruma::OwnedUserId;
use serde::Deserialize;

fn default_suffix() -> Arc<str> {
	"[m]".into()
}

#[derive(Debug, Deserialize)]
pub struct MatrixConfig {
	pub user: OwnedUserId,
	pub password: String,
	#[serde(default="default_suffix")]
	pub suffix: Arc<str>
}
